KDE 4.7 PyKDE API Reference

- KDE's Python API

# ObjectDescriptionData Class Reference

`from PyKDE4.phonon import *`

Namespace: Phonon

## Detailed Description

Internal:

\class ObjectDescriptionData objectdescription.h phonon/ObjectDescription Data class for objects describing devices or features of the backend.

Author:
  Matthias Kretz <kretz@kde.org>

See also:
  BackendCapabilities

## Methods

| __init__ (self, int index, {QByteArray:QVariant} properties)
QString | description (self)
int | index (self)
bool | isValid (self)
QString | name (self)
bool | operator == (self, Phonon.ObjectDescriptionData otherDescription)
QVariant | property (self, QString name)
[QByteArray] | propertyNames (self)

## Static Methods

Phonon.ObjectDescriptionData | fromIndex (Phonon.ObjectDescriptionType type, int index)

## Method Documentation

__init__ | ( | self, |
|  | int | index,
|  | {QByteArray:QVariant} | properties
| ) |  |  |

QString description | ( |  | self ) |

Returns a description of the capture source. This text should make clear what sound source this is, which is sometimes hard to describe or understand from just the name.

Returns:
  A string describing the capture source.

int index | ( |  | self ) |

A unique identifier for this device/. Used internally to distinguish between the devices/.

Returns:
  An integer that uniquely identifies every device/

bool isValid | ( |  | self ) |

Returns true if the Tuple is valid (index != -1); otherwise returns false.

QString name | ( |  | self ) |

Returns the name of the capture source.

Returns:
  A string that should be presented to the user to choose the capture source.

bool operator == | ( | self, |
|  | Phonon.ObjectDescriptionData | otherDescription
| ) |  |  |

Returns true if this ObjectDescription describes the same as otherDescription; otherwise returns false.

QVariant property | ( | self, |
|  | QString | name
| ) |  |  |

Returns a named property.

If the property is not set an invalid value is returned.

See also:
  propertyNames()

[QByteArray] propertyNames | ( |  | self ) |

Returns all names that return valid data when property() is called.

See also:
  property()

## Static Method Documentation

Phonon.ObjectDescriptionData fromIndex | ( | Phonon.ObjectDescriptionType | type,
|  | int | index
| ) |  |  |